diff --git a/tests/test_toulouse_maelis.py b/tests/test_toulouse_maelis.py
index 04b9742f..0f5ef10c 100644
--- a/tests/test_toulouse_maelis.py
+++ b/tests/test_toulouse_maelis.py
@@ -2224,21 +2125,20 @@ def test_update_quotient_schema_error(con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&rl_id=613878', params=params, status=400)
     assert resp.json['err'] == 1
     assert resp.json['err_desc'] == "mtt: '1500,33' does not match '^[0-9]+\\\\.?[0-9]*$'"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_quotient_soap_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_QUOTIENT_500
+def test_update_quotient_soap_error(family_service, con, app):
+    family_service.add_soap_response(
+        'createUpdateQuotient', get_xml_file('R_create_update_quotient_soap_error.xml'), status=500
+    )
     url = get_endpoint('update-quotient')
     params = {
         'yearRev': '2021',
         'dateStart': '2022-10-01',
         'dateEnd': '2023-01-31',
         'mtt': '1500.33',
         'cdquo': 'QS',
     }
@@ -2260,37 +2160,44 @@ def test_update_quotient_wrong_referential_key_error(con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&rl_id=613878', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "cdquo key value 'plop' do not belong to 'Quotient' required referential"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_person(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY, UPDATE_FAMILY]
+def test_create_person(family_service, con, app):
+    def request_check(request):
+        assert request.dossierNumber == 1312
+        assert len(request.emergencyPersonList['personList']) == 2
+        assert request.emergencyPersonList['personList'][0]['numPerson'] == 614059
+        assert request.emergencyPersonList['personList'][0]['firstname'] == 'KENY'
+        assert request.emergencyPersonList['personList'][1]['numPerson'] is None
+        assert request.emergencyPersonList['personList'][1]['firstname'] == 'Mathias'
+
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
+    family_service.add_soap_response(
+        'updateFamily', get_xml_file('R_update_family.xml'), request_check=request_check
+    )
     url = get_endpoint('create-person')
     params = {
         'civility': None,
         'firstname': 'Mathias',
         'lastname': 'Cassel',
         'quality': 'O',
         'sexe': 'M',
         'dateBirth': '1972-01-01',
         'contact/phone': None,
         'contact/mobile': '0623456789',
         'contact/mail': None,
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
-    assert_sent_payload(mocked_post, 'Q_create_person.xml')
     assert resp.json['err'] == 0
 
 
 def test_create_person_required_field_error(con, app):
     url = get_endpoint('create-person')
     params = {
         'civility': None,
         'firstname': 'Mathias',
@@ -2360,37 +2267,42 @@ def test_create_person_wrong_referential_key_error(con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "sexe key value 'plop' do not belong to 'Sex' referential"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_person(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY, UPDATE_FAMILY]
+def test_update_person(family_service, con, app):
+    def request_check(request):
+        assert request.dossierNumber == 1312
+        assert len(request.emergencyPersonList['personList']) == 1
+        assert request.emergencyPersonList['personList'][0]['numPerson'] == 614059
+        assert request.emergencyPersonList['personList'][0]['firstname'] == 'Mathias'
+
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
+    family_service.add_soap_response(
+        'updateFamily', get_xml_file('R_update_family.xml'), request_check=request_check
+    )
     url = get_endpoint('update-person')
     params = {
         'civility': None,
         'firstname': 'Mathias',
         'lastname': 'Cassel',
         'quality': 'O',
         'sexe': 'M',
         'dateBirth': '1972-01-01',
         'contact/phone': None,
         'contact/mobile': '0623456789',
         'contact/mail': None,
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&person_id=614059', params=params)
-    assert_sent_payload(mocked_post, 'Q_update_person.xml')
     assert resp.json['err'] == 0
 
 
 def test_update_person_not_linked_error(con, app):
     url = get_endpoint('update-person')
     params = {
         'civility': None,
         'firstname': 'Mathias',
@@ -2403,21 +2315,18 @@ def test_update_person_not_linked_error(con, app):
         'contact/mail': None,
     }
 
     resp = app.post_json(url + '?NameID=local&person_id=614059', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_person_not_found(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = READ_FAMILY
+def test_update_person_not_found(family_service, con, app):
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
     url = get_endpoint('update-person')
     params = {
         'civility': None,
         'firstname': 'Mathias',
         'lastname': 'Cassel',
         'quality': 'O',
         'sexe': 'M',
         'dateBirth': '1972-01-01',
@@ -2426,71 +2335,81 @@ def test_update_person_not_found(mocked_post, mocked_get, con, app):
         'contact/mail': None,
     }
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&person_id=000000', params=params)
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '000000' authorized person on '1312' family"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_delete_person(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY, UPDATE_FAMILY]
+def test_delete_person(family_service, con, app):
+    def request_check(request):
+        assert request.dossierNumber == 1312
+        assert request.emergencyPersonList is None
+
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
+    family_service.add_soap_response(
+        'updateFamily', get_xml_file('R_update_family.xml'), request_check=request_check
+    )
     url = get_endpoint('delete-person')
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&person_id=614059')
-    assert_sent_payload(mocked_post, 'Q_delete_person.xml')
     assert resp.json['err'] == 0
 
 
 def test_delete_person_not_linked_error(con, app):
     url = get_endpoint('delete-person')
 
     resp = app.post_json(url + '?NameID=local&person_id=614059')
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_delete_person_not_found(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = READ_FAMILY
+def test_delete_person_not_found(family_service, con, app):
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
     url = get_endpoint('delete-person')
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&person_id=000000')
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '000000' authorized person on '1312' family"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_child_person(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY, UPDATE_CHILD_AUTO]
+def test_create_child_person(family_service, con, app):
+    def request_check(request):
+        assert request.numFamily == '1312'
+        assert request.numPerson == 613880
+        assert len(request.personList) == 2
+        assert request.personList[0]['personInfo']['num'] == 614719
+        assert request.personList[0]['personInfo']['firstname'] == 'AMEL'
+        assert request.personList[1]['personInfo']['num'] is None
+        assert request.personList[1]['personInfo']['firstname'] == 'Diana'
+
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
+    family_service.add_soap_response(
+        'updateChildAutorization',
+        get_xml_file('R_update_child_authorization.xml'),
+        request_check=request_check,
+    )
     url = get_endpoint('create-child-person')
     params = {
         'personInfo/civility': 'MME',
         'personInfo/firstname': 'Diana',
         'personInfo/lastname': 'Ross',
         'personInfo/sexe': 'F',
         'personInfo/dateBirth': '1944-03-26',
         'personInfo/contact/phone': '0199999999',
         'personInfo/contact/mobile': '0723456789',
         'personInfo/contact/mail': 'dross@example.org',
         'personQuality/code': 'TUTEUR',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880', params=params)
-    assert_sent_payload(mocked_post, 'Q_create_child_person.xml')
     assert resp.json['err'] == 0
 
 
 def test_create_child_person_empty_referential_key_error(con, app):
     url = get_endpoint('create-child-person')
     params = {
         'personInfo/civility': 'MME',
         'personInfo/firstname': 'Diana',
@@ -2542,21 +2461,18 @@ def test_create_child_person_wrong_referential_key_error(con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "personInfo/sexe key value 'plop' do not belong to 'Sex' referential"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_child_person_no_child_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = READ_FAMILY
+def test_create_child_person_no_child_error(family_service, con, app):
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
     url = get_endpoint('create-child-person')
     params = {
         'personInfo/civility': 'MME',
         'personInfo/firstname': 'Diana',
         'personInfo/lastname': 'Ross',
         'personInfo/sexe': 'F',
         'personInfo/dateBirth': '1944-03-26',
         'personInfo/contact/phone': '01999999999',
@@ -2566,37 +2482,45 @@ def test_create_child_person_no_child_error(mocked_post, mocked_get, con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=42', params=params)
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '42' child on '1312' family"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_person(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY, UPDATE_FAMILY]
+def test_update_child_person(family_service, con, app):
+    def request_check(request):
+        assert request.numFamily == '1312'
+        assert request.numPerson == 613880
+        assert len(request.personList) == 1
+        assert request.personList[0]['personInfo']['num'] == 614719
+        assert request.personList[0]['personInfo']['firstname'] == 'Angelo'
+
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
+    family_service.add_soap_response(
+        'updateChildAutorization',
+        get_xml_file('R_update_child_authorization.xml'),
+        request_check=request_check,
+    )
     url = get_endpoint('update-child-person')
     params = {
         'personInfo/civility': 'M.',
         'personInfo/firstname': 'Angelo',
         'personInfo/lastname': 'Bent',
         'personInfo/sexe': 'M',
         'personInfo/dateBirth': '1985-06-22',
         'personInfo/contact/phone': '0102030405',
         'personInfo/contact/mobile': None,
         'personInfo/contact/mail': None,
         'personQuality/code': 'O',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880&person_id=614719', params=params)
-    assert_sent_payload(mocked_post, 'Q_update_child_person.xml')
     assert resp.json['err'] == 0
 
 
 def test_update_child_person_not_linked_error(con, app):
     url = get_endpoint('update-child-person')
     params = {
         'personInfo/civility': 'M.',
         'personInfo/firstname': 'Angelo',
@@ -2628,21 +2552,18 @@ def test_update_child_person_wrong_referential_key_error(con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880&person_id=614719', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "personInfo/sexe key value 'plop' do not belong to 'Sex' referential"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_person_no_child_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = READ_FAMILY
+def test_update_child_person_no_child_error(family_service, con, app):
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
     url = get_endpoint('update-child-person')
     params = {
         'personInfo/civility': 'M.',
         'personInfo/firstname': 'Angelo',
         'personInfo/lastname': 'Bent',
         'personInfo/dateBirth': '1985-06-22',
         'personInfo/contact/phone': '0102030405',
         'personInfo/contact/mobile': None,
@@ -2651,21 +2572,18 @@ def test_update_child_person_no_child_error(mocked_post, mocked_get, con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=42&person_id=614719', params=params)
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '42' child on '1312' family"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_person_not_found(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = READ_FAMILY
+def test_update_child_person_not_found(family_service, con, app):
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
     url = get_endpoint('update-child-person')
     params = {
         'personInfo/civility': 'M.',
         'personInfo/firstname': 'Angelo',
         'personInfo/lastname': 'Bent',
         'personInfo/dateBirth': '1985-06-22',
         'personInfo/contact/phone': '0102030405',
         'personInfo/contact/mobile': None,
@@ -2674,73 +2592,69 @@ def test_update_child_person_not_found(mocked_post, mocked_get, con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880&person_id=000000', params=params)
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "No '000000' authorized person on '613880' child"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_delete_child_person(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY, UPDATE_FAMILY]
+def test_delete_child_person(family_service, con, app):
+    def request_check(request):
+        assert request.numFamily == '1312'
+        assert request.numPerson == 613880
+        assert len(request.personList) == 0
+
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
+    family_service.add_soap_response(
+        'updateChildAutorization',
+        get_xml_file('R_update_child_authorization.xml'),
+        request_check=request_check,
+    )
     url = get_endpoint('delete-child-person')
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880&person_id=614719')
-    assert_sent_payload(mocked_post, 'Q_delete_child_person.xml')
     assert resp.json['err'] == 0
 
 
 def test_delete_child_person_not_linked_error(con, app):
     url = get_endpoint('delete-child-person')
 
     resp = app.post_json(url + '?NameID=local&child_id=613880&person_id=614719')
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_delete_child_person_no_child_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = READ_FAMILY
+def test_delete_child_person_no_child_error(family_service, con, app):
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
     url = get_endpoint('delete-child-person')
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=42&person_id=614719')
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '42' child on '1312' family"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_delete_child_person_no_person_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = READ_FAMILY
+def test_delete_child_person_no_person_error(family_service, con, app):
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
     url = get_endpoint('delete-child-person')
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880&person_id=000000')
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "No '000000' authorized person on '613880' child"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_dietcode(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_DIETCODE
+def test_update_child_dietcode(family_service, con, app):
+    family_service.add_soap_response('createOrUpdateChildDiet', get_xml_file('R_update_child_dietcode.xml'))
     url = get_endpoint('update-child-dietcode')
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613878&dietcode=RSV')
-    assert_sent_payload(mocked_post, 'Q_update_child_dietcode.xml')
     assert resp.json['err'] == 0
     assert resp.json['data'] == 'ok'
 
 
 def test_update_child_dietcode_not_linked_error(con, app):
     url = get_endpoint('update-child-dietcode')
 
     resp = app.post_json(url + '?NameID=local&child_id=613878&dietcode=RVS')
@@ -2754,21 +2668,18 @@ def test_update_child_dietcode_wrong_referential_key_error(con, app):
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613878&dietcode=plop')
     assert resp.json['err'] == 'wrong-key'
     assert (
         resp.json['err_desc'] == "dietcode parameter key value 'plop' do not belong to 'DietCode' referential"
     )
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_pai(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_PAI
+def test_update_child_pai(family_service, con, app):
+    family_service.add_soap_response('updateChildPAI', get_xml_file('R_update_child_pai.xml'))
     url = get_endpoint('update-child-pai')
     params = {
         'code': 'PAIALI',
         'dateDeb': '2022-01-01',
         'dateFin': '',
         'description': 'some text',
     }
 
@@ -2822,42 +2733,40 @@ def test_update_child_pai_not_linked_error(con, app):
         'description': 'some text',
     }
 
     resp = app.post_json(url + '?NameID=local&child_id=613878', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_pai_soap_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_PAI_500
+def test_update_child_pai_soap_error(family_service, con, app):
+    family_service.add_soap_response(
+        'updateChildPAI', get_xml_file('R_update_child_pai_soap_error.xml'), status=500
+    )
     url = get_endpoint('update-child-pai')
     params = {
         'code': 'PAIALI',
         'dateDeb': '2022-01-01',
         'dateFin': '',
         'description': 'a' * 501,
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613878', params=params)
     assert resp.json['err'] == 'Family-updateChildPAI-soap:Server'
     assert 'Une erreur est survenue' in resp.json['err_desc']
     assert 'valeur trop grande' in resp.json['err_desc']
     assert 'maximum : 500' in resp.json['err_desc']
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_medical_record(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_MEDICAL
+def test_update_child_medical_record(family_service, con, app):
+    family_service.add_soap_response(
+        'updateChildMedicalRecord', get_xml_file('R_update_child_medical_record.xml')
+    )
     url = get_endpoint('update-child-medical-record')
     params = {
         'familyDoctor/name': 'Dre',
         'familyDoctor/phone': '0612341234',
         'familyDoctor/address/street1': 'Alameda',
         'familyDoctor/address/zipcode': '90220',
         'familyDoctor/address/town': 'Compton',
         'allergy1': 'butterscotch, imitation butterscotch, glow-in-the-dark monster make-up, and shrimp',
@@ -2871,26 +2780,24 @@ def test_update_child_medical_record(mocked_post, mocked_get, con, app):
         'vaccinList/0/code': 'DTC',
         'vaccinList/0/vaccinationDate': '2011-01-11',
         'vaccinList/1/code': 'ROR',
         'vaccinList/1/vaccinationDate': '2022-02-22',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613878', params=params)
-    assert_sent_payload(mocked_post, 'Q_update_child_medical_record.xml')
     assert resp.json['err'] == 0
     assert resp.json['data'] == 'ok'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_medical_record_with_empty_vaccin_list(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_MEDICAL
+def test_update_child_medical_record_with_empty_vaccin_list(family_service, con, app):
+    family_service.add_soap_response(
+        'updateChildMedicalRecord', get_xml_file('R_update_child_medical_record.xml')
+    )
     url = get_endpoint('update-child-medical-record')
     params = {
         'familyDoctor/name': 'Dre',
         'familyDoctor/phone': '0612341234',
         'familyDoctor/address/street1': 'Alameda',
         'familyDoctor/address/zipcode': '90220',
         'familyDoctor/address/town': 'Compton',
         'allergy1': 'butterscotch, imitation butterscotch, glow-in-the-dark monster make-up, and shrimp',
@@ -2912,21 +2819,20 @@ def test_update_child_medical_record_with_empty_vaccin_list(mocked_post, mocked_
 def test_update_child_medical_record_not_linked_error(con, app):
     url = get_endpoint('update-child-medical-record')
 
     resp = app.post_json(url + '?NameID=local&child_id=613878', params={})
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_medical_record_soap_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_MEDICAL_500
+def test_update_child_medical_record_soap_error(family_service, con, app):
+    family_service.add_soap_response(
+        'updateChildMedicalRecord', get_xml_file('R_update_child_medical_record_soap_error.xml'), status=500
+    )
     url = get_endpoint('update-child-medical-record')
     params = {
         'vaccinList/0/code': 'DTC',
         'vaccinList/0/vaccinationDate': '2022-02-31',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613878', params=params)
@@ -2950,21 +2856,18 @@ def test_update_child_medical_record_wrong_referential_key_error(con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613878', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "vaccinList/1/code key value 'plop' do not belong to 'Vaccin' referential"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_rl_indicator(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_INDICATOR
+def test_update_rl_indicator(family_service, con, app):
+    family_service.add_soap_response('updatePersonIndicatorList', get_xml_file('R_update_indicator.xml'))
     url = get_endpoint('update-rl-indicator')
     params = {
         'indicatorList': [
             {
                 'code': 'AVL',
                 'isActive': True,
             },
             {
@@ -2972,17 +2875,16 @@ def test_update_rl_indicator(mocked_post, mocked_get, con, app):
                 'note': 'SNPP',
                 'isActive': True,
             },
         ],
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&rl_id=613878', params=params)
-    assert_sent_payload(mocked_post, 'Q_update_rl_indicator.xml')
     assert resp.json['err'] == 0
     assert resp.json['data'] == 'ok'
 
 
 def test_update_rl_indicator_not_linked_error(con, app):
     url = get_endpoint('update-rl-indicator')
     params = {
         'indicatorList': [
@@ -3040,21 +2942,18 @@ def test_update_rl_indicator_wrong_referential_key_error(con, app):
     resp = app.post_json(url + '?NameID=local&rl_id=613878', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert (
         resp.json['err_desc']
         == "indicatorList/0/code key value 'plop' do not belong to 'RLIndicator' required referential"
     )
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_indicator(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_INDICATOR
+def test_update_child_indicator(family_service, con, app):
+    family_service.add_soap_response('updatePersonIndicatorList', get_xml_file('R_update_indicator.xml'))
     url = get_endpoint('update-child-indicator')
     params = {
         'indicatorList': [
             {
                 'code': 'LUNETTE',
                 'isActive': True,
             },
             {
@@ -3062,17 +2961,16 @@ def test_update_child_indicator(mocked_post, mocked_get, con, app):
                 'note': 'rebellious',
                 'isActive': True,
             },
         ],
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880', params=params)
-    assert_sent_payload(mocked_post, 'Q_update_child_indicator.xml')
     assert resp.json['err'] == 0
     assert resp.json['data'] == 'ok'
 
 
 def test_update_child_indicator_not_linked_error(con, app):
     url = get_endpoint('update-child-indicator')
     params = {
         'indicatorList': [
